[Bioperl-l] strange problem

Sendu Bala bix at sendu.me.uk
Fri Mar 30 09:00:06 EDT 2007


Chris Fields wrote:
> The issue with Build.PL may be that it is trying to update Scalar::Util 
> to the latest (1.19) or install it if it isn't present but doesn't have 
> the correct permissions.  I myself have run into this problem; you must 
> install the latest Scalar::Utils directly via CPAN with the correct 
> permissions ('sudo cpan' in my case).  I'm guessing that using something 
> like 'sudo perl Build.PL' should work as well.
> 
> I'm adding Sendu to this so he can answer.  Sendu, I know it's now 
> required for Bio::Species/Bio::Taxon stuff to weaken refs but was there 
> any reason why Scalar::Util needs to be v1.19?  I can't recall anything 
> about it in past discussions...

I don't recall why I made it 1.19. I've just changed the requirement to 
0 instead.


More information about the Bioperl-l mailing list